Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

カード注文 API

Card order

post
/issuers/{issuerId}/physicalCards/{cardId}/operations:production

This API is used by the issuer backend to order a single physical card.

認可
Authorizationstring必須

A JWT generated by the get token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Authorization flow for more details about the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

cardIdstring · 最小: 1 · 最大: 48必須

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
本文
または
または
レスポンス
202

Successful card order

application/json

Operation information.

operationIdstring · 最小: 1 · 最大: 64オプション

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
post/issuers/{issuerId}/physicalCards/{cardId}/operations:production
POST /banking/v1/issuers/{issuerId}/physicalCards/{cardId}/operations:production HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 659

{
  "distributionChannel": "THALES",
  "consumerId": "consumer_12345",
  "cardProductId": "debit_card_v1",
  "issuerRequestId": "req-001",
  "services": {
    "issuance": "RENEWAL",
    "priority": "P1",
    "delivery": "EXPRESS",
    "packaging": "GOLD_PACK",
    "cardCarrier": "NO_CARRIER",
    "pinMailer": true
  },
  "cardDesign": {
    "cardImage": "myCard_ref"
  },
  "encryptedData": "eyJhbGciOiJ...",
  "paymentApplication": {
    "config": "config_a",
    "odaKeyIndex": 1,
    "derivationKeyIndex": 1
  },
  "cardCarrierConfig": {
    "language": "EN"
  },
  "packagingConfig": {
    "inserts": [
      "promo"
    ]
  },
  "shipment": {
    "type": "INDIVIDUAL",
    "deliveryAddress": {
      "firstName": "John",
      "lastName": "Smith",
      "line1": "1 Main Street",
      "zipCode": 75001,
      "city": "Paris",
      "countryCode": "FR"
    }
  }
}
{
  "operationId": "text"
}

暗号化された cardData

Get card order status

get
/issuers/{issuerId}/physicalCards/{cardId}/productionStatus

This API is used by the issuer backend to get the card order status.

認可
Authorizationstring必須

A JWT generated by the get token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Authorization flow for more details about the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

cardIdstring · 最小: 1 · 最大: 48必須

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
レスポンス
200

Success

application/json

The card production status and information

statusstring · enum必須

The current status of card production.

Example: CARD_SHIPPED可能な値:
reasonstringオプション

Additional details in case of exception during data processing or card production

consumerIdstringオプション

The id of the end user.

Example: 271b-6e47-8ec3-7f3f
issuerRequestIdstring · 最小: 1 · 最大: 64オプション

The unique identifier provided by issuer to identify the card production request

Example: 01c5a05e-e197-11ec-8fea-0242ac120002
dueDatestring · dateオプション

The estimated card production date. It is in the format YYYY-MM-DD.

Example: 2023-01-21
productionRequestDatestring · date-timeオプション

The date and time of the card production request. It is in the format YYYY-MM-DDThh:mm:ssZ for the timezone GMT+0.

Example: 2023-01-03T17:12:34Z
productionDatestring · date-timeオプション

The date the card was produced. It is in the format YYYY-MM-DDThh:mm:ssZ for the timezone GMT+0.

Example: 2023-01-20T17:32:28Z
productionSitestring · 最大: 50オプション

The factory where the card is produced.

Example: Gemenos
namestring · 最大: 50オプション

The card holder name printed on the card.

Example: MR. JOHN SMITH
maskedPanstring · 最小: 12 · 最大: 19オプション

The masked PAN value (Primary Account Number).

Example: 123456xxxxxx7890Pattern: ^[0-9xX\*]{12,19}$
orderIdstringオプション

The unique identifier of order used for card production.

Example: 9b95d70e-21fe-4c36-9368-ddd7fbd729e8Pattern: ^[A-Za-z0-9_-]{1,64}$
packageIdstringオプション

The unique identifier of the package used for card production.

Example: be0b085c-ef03-4581-9e7b-50dbb2f08f43Pattern: ^[A-Za-z0-9_-]{1,64}$
inputFileNamestring · 最小: 1 · 最大: 256オプション

Name of the input file in case of hybrid mode.

Example: myInputFile_20240707.gz
get/issuers/{issuerId}/physicalCards/{cardId}/productionStatus
GET /banking/v1/issuers/{issuerId}/physicalCards/{cardId}/productionStatus HTTP/1.1
Host: api.d1.thalescloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": "CARD_SHIPPED",
  "reason": "",
  "consumerId": "271b-6e47-8ec3-7f3f",
  "issuerRequestId": "01c5a05e-e197-11ec-8fea-0242ac120002",
  "dueDate": "2023-01-21",
  "productionRequestDate": "2023-01-03T17:12:34Z",
  "productionDate": "2023-01-20T17:32:28Z",
  "productionSite": "Gemenos",
  "name": "MR. JOHN SMITH",
  "maskedPan": "123456xxxxxx7890",
  "orderId": "9b95d70e-21fe-4c36-9368-ddd7fbd729e8",
  "packageId": "be0b085c-ef03-4581-9e7b-50dbb2f08f43",
  "shipment": {
    "pickupDate": "2023-01-21T17:32:28Z",
    "carrier": "fedex",
    "trackingNumber": "61293150000079650811",
    "status": "DELIVERED",
    "message": "Picked up by the customer",
    "trackingUrl": "https://www.fedex.com/apps/fedextrack/?tracknumbers=61293150000079650811&cntry_code=US",
    "redirectUrl": "https://www.fedex.com/apps/fedextrack/?action=track&tracknumbers=61293150000079650811&cntry_code=US",
    "estimatedDeliveryDate": "2023-01-21T17:32:28Z",
    "lastUpdatedAt": "2023-01-21T17:32:28Z",
    "deliveryDate": "2023-01-21T17:32:28Z",
    "signedBy": "Steve Young",
    "failedDeliveryAttempts": "2",
    "lastCheckpoint": {
      "checkpointTime": "2023-01-21T17:32:28Z",
      "city": "New York",
      "countryName": "United States",
      "message": "Package delivered"
    }
  },
  "services": {
    "cardProductId": "text",
    "issuance": "RENEWAL",
    "priority": "P1",
    "delivery": "DHL",
    "packaging": "welcome_pack_red",
    "cardCarrier": "NO_CARRIER"
  },
  "inputFileName": "myInputFile_20240707.gz",
  "cardPackageDetails": {
    "plastic": "CardRef1",
    "artworkId": "CardRef1",
    "cardCarrier": "17609320 Carrier A4 white 100g Thales",
    "envelope": "ENV BLANCHE 115X229mm FEN 45X100X2520 CART1000",
    "package": "text",
    "cardActivationLabel": "text",
    "inserts": [
      "text"
    ]
  },
  "deliveryAddress": {
    "companyName": "Thales",
    "line1": "Street #1",
    "line2": "Street #2",
    "line3": "Street #3",
    "city": "London",
    "state": "text",
    "zipCode": "WC2N 5DU",
    "countryCode": "GB"
  }
}

最終更新

役に立ちましたか?